## jello 1.6.1

=== requirements.txt ===
Pygments>=2.4.2

## jello 1.5.2

=== debian/changelog ===
jello (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Dec 2021 11:45:28 +0100

jello (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Dec 2021 16:21:43 +0100

jello (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Nov 2021 23:32:06 +0100

jello (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Nov 2021 11:20:41 +0100

jello (1.4.4-2) unstable; urgency=medium

  * Source-only upload.
  * Bump Standards-Version to 4.6.0

 -- Timo Röhling <roehling@debian.org>  Tue, 24 Aug 2021 00:28:58 +0200

jello (1.4.4-1) unstable; urgency=medium

  * Fix d/watch
  * New upstream version 1.4.4

 -- Timo Röhling <roehling@debian.org>  Mon, 09 Aug 2021 22:41:33 +0200

jello (1.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #990234)

 -- Timo Röhling <roehling@debian.org>  Wed, 23 Jun 2021 21:18:00 +0200

=== debian/control ===
Source: jello
Section: text
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-pygments,
 python3-setuptools
Homepage: https://kellyjonbrazil.github.io/jello/
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/jello.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jello

Package: jello
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Description: Filter for JSON and JSON Lines data with Python syntax
 jello is similar to jq in that it processes JSON and JSON Lines data except
 jello uses standard Python dict and list syntax.
 .
 JSON or JSON Lines can be piped into jello (JSON Lines are automatically
 slurped into a list of dictionaries) and are available as the variable _.
 Processed data can be output as JSON, JSON Lines, bash array lines, or a
 grep-able schema.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=jello
export PYBUILD_DESTDIR = debian/jello
export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/jello

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mv debian/jello/usr/bin/jello debian/jello/usr/share/jello/run

=== debian/tests/control ===
Tests: run-test-suite run-cli
Depends: @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
     https://github.com/kellyjonbrazil/jello/releases .*/tags/v?(\d+\S+)\.tar\.gz

## jello 1.5.4

=== debian/changelog ===
jello (1.5.4-1) unstable; urgency=medium

  * Update d/watch to use tags, not releases
  * New upstream version 1.5.4
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Aug 2022 19:11:40 +0200

jello (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * Bump Standards-Version to 4.6.1
  * Delete obsolete Lintian override

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Jun 2022 18:10:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-pygments,
  python3-setuptools
 Homepage: https://kellyjonbrazil.github.io/jello/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/jello.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jello

## jello 1.5.5

=== debian/changelog ===
jello (1.5.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.

  [ Timo Röhling ]
  * New upstream version 1.5.5
  * Migrate to pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Tue, 17 Jan 2023 20:32:21 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,9 @@
  python3-pygments,
  python3-setuptools
 Homepage: https://kellyjonbrazil.github.io/jello/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/jello.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jello

=== debian/tests/control ===
Tests: run-cli
Depends: @
Restrictions: allow-stderr

## jello 1.6.0

=== debian/changelog ===
jello (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0

 -- Timo Röhling <roehling@debian.org>  Mon, 12 Jun 2023 13:23:45 +0200

## jello 1.6.1

=== debian/changelog ===
jello (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Wrap and sort Debian package files
  * Bump copyright years
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 14 Aug 2025 09:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: text
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  python3-all,
  python3-pygments,
- python3-setuptools
+ python3-setuptools,
 Homepage: https://kellyjonbrazil.github.io/jello/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/jello.git
@@ -19,7 +20,9 @@
 Package: jello
 Architecture: all
 Multi-Arch: foreign
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Filter for JSON and JSON Lines data with Python syntax
  jello is similar to jq in that it processes JSON and JSON Lines data except
  jello uses standard Python dict and list syntax.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export PYBUILD_DESTDIR = debian/jello
 export PYBUILD_INSTALL_ARGS = --install-lib=/usr/share/jello
 
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+export PYTHONPATH = /usr/share/jello
+endif
+
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 run-cli,
Depends:
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
     https://github.com/kellyjonbrazil/jello/tags .*/tags/v?(\d+\S+)\.tar\.gz
